#include "handler.ih"

void Handler::fillCCinfo()
{
    string line;

    while (getline(g_options.ccFile(), line))
    {
        istringstream in{ line };
        string id;
        CCpair ccPair;
        if (in >> id >> ccPair.first >> ccPair.second)
            d_ccInfo.emplace(move(id), move(ccPair));
    }
}
